Bug 1462111 - HA LVM using CLVM fails to relocate due to failed exclusive activation on the passive node [NEEDINFO]
HA LVM using CLVM fails to relocate due to failed exclusive activation on the...
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: resource-agents (Show other bugs)
6.8
Unspecified Linux
high Severity high
: rc
: ---
Assigned To: Oyvind Albrigtsen
cluster-qe@redhat.com
:
Depends On:
Blocks: 1461138 1493755
  Show dependency treegraph
 
Reported: 2017-06-16 04:29 EDT by Jesus Serrano Sanchez-Toscano
Modified: 2017-09-27 16:38 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jruemker: needinfo? (pzimek)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3065861 None None None 2017-06-19 11:32 EDT

  None (edit)
Comment 11 John Ruemker 2017-09-27 16:37:39 EDT
This really goes deeper than the agent, and I'm not sure that delays as proposed would be a good path forward here (as it would likely create some form of impact to use cases not affected by this).  

Ultimately this is a problem with clvmd, in that it can't handle a request when there is a member which hasn't started yet.  Having the agent need to accommodate this behavior doesn't seem like the best target.  

It is an unfortunate timing window for sure, but do we have the ability to work around this with timings or delays elsewhere?  Something that delays the node joining for the amount of time needed to get everything recovered elsewhere?

As we're looking at 6.10 planning, it would be great if we could find a way to eliminate this from consideration, as it would have minimal impact to our overall customer base and could be too invasive for prod-phase 3.

Let us know if we can pursue these other angles.

Note You need to log in before you can comment on or make changes to this bug.